#include "emu64.h"
#include "emu-data.c"

/* --------------------------------------------------------------------- */
/* data structures                                                       */

page_aligned uint64_t pgtables[PGTABLES_64*512];

struct idt_64 page_aligned xen_idt[256];
struct tss_64 page_aligned xen_tss;

xen_callback_t       xencb[8];

uint64_t user_mode;
uint64_t kernel_cr3_mfn;
uint64_t user_cr3_mfn;
